summaryrefslogtreecommitdiff
path: root/binutils
diff options
context:
space:
mode:
authorNeal H. Walfield <neal@gnu.org>2008-11-19 10:28:47 +0100
committerNeal H. Walfield <neal@kleiner.(none)>2009-01-15 23:39:19 +0100
commit410011ca8f7e46c86b52258f82e954514674776b (patch)
tree44ac1a67178e0193f1231680ed79744f44d127d5 /binutils
parent207770cea7fece43bf5517fec7abd88a3a7d6146 (diff)
Start of x86_64 port.
/ 2008-11-19 Neal H. Walfield <neal@gnu.org> * configure.ac: Rename amd64 to x86_64. Update users. binutils/ 2008-11-19 Neal H. Walfield <neal@gnu.org> * patches/00-bfd-config-bfd.patch: New file. * patches/01-ld-configure-tgt.patch: New file. * Makefrag.am (patch_files): New variable. (EXTRA_DIST): Likewise. ($(addsuffix .applied,$(patch_files))): Depend on binutils/binutils/unpack.stamp and $(patch_files). Apply patches to the source tree. (rpatch): New rule. (binutils/binutils/patch.stamp): Also depend on the applied patch files. gcc/ 2008-11-19 Neal H. Walfield <neal@gnu.org> * configury2.patch: New file. * Makefrag.am (gcc_patch_files): Add configury2.patch. (gcc/gcc.build/configure.stamp): Only add --with-arch for x86 machines. libl4/ 2008-11-19 Neal H. Walfield <neal@gnu.org> * headers.m4: Only link the header files if $ARCH is ia32. libpthread/ 2008-11-19 Neal H. Walfield <neal@gnu.org> * sysdeps/generic/bits/memory.h: New file. * sysdeps/generic/bits/spin-lock-inline.h: Likewise. * sysdeps/generic/bits/spin-lock.h: Likewise. * headers.m4: Link sysroot/include/bits/memory.h to libpthread/sysdeps/generic/bits/memory.h, sysroot/include/bits/spin-lock.h to libpthread/sysdeps/generic/bits/spin-lock.h, and sysroot/include/bits/spin-lock-inline.h to libpthread/sysdeps/generic/bits/spin-lock-inline.h. platform/ 2008-11-19 Neal H. Walfield <neal@gnu.org> * Makefile.am (ARCH_SUBDIR) [ARCH_X86_64]: Set to x86_64. * amd64/Makefile.am: Move from here... * x86_64/Makefile.am: ... to here. * amd64/bits/atomic.h: Move from here... * x86_64/bits/atomic.h: ... to here. * amd64/bits/endian.h: Move from here... * x86_64/bits/endian.h: ... to here. * amd64/bits/wordsize.h: Move from here... * x86_64/bits/wordsize.h: ... to here. * amd64/sys/io.h: Move from here... * x86_64/sys/io.h: ... to here.
Diffstat (limited to 'binutils')
-rw-r--r--binutils/ChangeLog13
-rw-r--r--binutils/Makefrag.am24
-rw-r--r--binutils/patches/00-bfd-config-bfd.patch20
-rw-r--r--binutils/patches/01-ld-configure-tgt.patch19
4 files changed, 75 insertions, 1 deletions
diff --git a/binutils/ChangeLog b/binutils/ChangeLog
index 58d6449..f967169 100644
--- a/binutils/ChangeLog
+++ b/binutils/ChangeLog
@@ -1,3 +1,16 @@
+2008-11-19 Neal H. Walfield <neal@gnu.org>
+
+ * patches/00-bfd-config-bfd.patch: New file.
+ * patches/01-ld-configure-tgt.patch: New file.
+ * Makefrag.am (patch_files): New variable.
+ (EXTRA_DIST): Likewise.
+ ($(addsuffix .applied,$(patch_files))): Depend on
+ binutils/binutils/unpack.stamp and $(patch_files). Apply patches
+ to the source tree.
+ (rpatch): New rule.
+ (binutils/binutils/patch.stamp): Also depend on the applied patch
+ files.
+
2008-11-03 Neal H. Walfield <neal@gnu.org>
* Makefrag.am (binutils_version): Bump to 2.19.
diff --git a/binutils/Makefrag.am b/binutils/Makefrag.am
index 5350bbb..3fd3a0d 100644
--- a/binutils/Makefrag.am
+++ b/binutils/Makefrag.am
@@ -15,6 +15,12 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+# Patches to apply to the source tree.
+patch_files = 00-bfd-config-bfd.patch \
+ 01-ld-configure-tgt.patch
+
+EXTRA_DIST = $(addprefix binutils/patches/, $(patch_files))
+
# The GNU binutils version that we use.
binutils_version = 2.19
binutils_tarball = binutils-$(binutils_version).tar.bz2
@@ -33,7 +39,23 @@ $(srcdir)/binutils/binutils/unpack.stamp: $(srcdir)/binutils/$(binutils_tarball)
&& mv binutils-$(binutils_version) binutils )
touch $@
-$(srcdir)/binutils/binutils/patch.stamp: $(srcdir)/binutils/binutils/unpack.stamp
+# Apply any local patches. (Revert any applied older version.)
+$(addprefix $(srcdir)/binutils/binutils/,$(addsuffix .applied,$(patch_files))): $(srcdir)/binutils/binutils/unpack.stamp
+$(addprefix $(srcdir)/binutils/binutils/,$(addsuffix .applied,$(patch_files))): $(srcdir)/binutils/binutils/%.applied: $(srcdir)/binutils/patches/%
+ if test -e "$@"; \
+ then \
+ ( cd $(srcdir)/binutils/binutils && sh /dev/stdin -R ) < $@ && rm -f $@; \
+ fi
+ ( cd $(srcdir)/binutils/binutils && sh /dev/stdin ) < $<
+ cp $< $@
+
+rpatch:
+ for p in $(shell tac -s ' ' $(patch_files)) ; do \
+ (cd $(srcdir)/binutils/binutils; sh ../$(srcdir)/$${p} -R) || exit 1 ; \
+ done
+
+$(srcdir)/binutils/binutils/patch.stamp: $(srcdir)/binutils/binutils/unpack.stamp \
+ $(addprefix $(srcdir)/binutils/binutils/,$(addsuffix .applied,$(patch_files)))
cd $(srcdir)/binutils/binutils/ && \
$(fix_config_guess_and_sub)
touch $@
diff --git a/binutils/patches/00-bfd-config-bfd.patch b/binutils/patches/00-bfd-config-bfd.patch
new file mode 100644
index 0000000..b6a0a44
--- /dev/null
+++ b/binutils/patches/00-bfd-config-bfd.patch
@@ -0,0 +1,20 @@
+#! /bin/sh
+patch -p1 -f $* < $0
+exit $?
+
+Tweak the configuration.
+
+--- binutils/bfd/config.bfd~ 2008-04-16 20:02:01.000000000 +0200
++++ binutils/bfd/config.bfd 2008-11-18 15:25:02.000000000 +0100
+@@ -614,6 +614,11 @@ case "${targ}" in
+ targ_selvecs="bfd_elf32_i386_vec i386linux_vec bfd_efi_app_ia32_vec bfd_efi_bsdrv_ia32_vec bfd_efi_rtdrv_ia32_vec bfd_efi_app_x86_64_vec bfd_efi_bsdrv_x86_64_vec bfd_efi_rtdrv_x86_64_vec"
+ want64=true
+ ;;
++ x86_64-*-gnu*)
++ targ_defvec=bfd_elf64_x86_64_vec
++ targ_selvecs="bfd_elf32_i386_vec i386linux_vec bfd_efi_app_ia32_vec bfd_efi_bsdrv_ia32_vec bfd_efi_rtdrv_ia32_vec bfd_efi_app_x86_64_vec bfd_efi_bsdrv_x86_64_vec bfd_efi_rtdrv_x86_64_vec"
++ want64=true
++ ;;
+ x86_64-*-mingw*)
+ targ_defvec=x86_64pe_vec
+ targ_selvecs="x86_64pe_vec x86_64pei_vec bfd_elf64_x86_64_vec"
diff --git a/binutils/patches/01-ld-configure-tgt.patch b/binutils/patches/01-ld-configure-tgt.patch
new file mode 100644
index 0000000..9056dc8
--- /dev/null
+++ b/binutils/patches/01-ld-configure-tgt.patch
@@ -0,0 +1,19 @@
+#! /bin/sh
+patch -p1 -f $* < $0
+exit $?
+
+Tweak the configuration.
+
+--- binutils/ld/configure.tgt~ 2008-08-09 07:35:13.000000000 +0200
++++ binutils/ld/configure.tgt 2008-11-18 15:39:17.000000000 +0100
+@@ -201,6 +201,10 @@ x86_64-*-linux-*) targ_emul=elf_x86_64
+ targ_extra_libpath=elf_i386
+ tdir_i386linux=`echo ${targ_alias}aout | sed -e 's/x86_64/i386/'`
+ tdir_elf_i386=`echo ${targ_alias} | sed -e 's/x86_64/i386/'` ;;
++x86_64-*-gnu*) targ_emul=elf_x86_64
++ targ_extra_emuls="elf_i386"
++ targ_extra_libpath=elf_i386
++ tdir_elf_i386=`echo ${targ_alias} | sed -e 's/x86_64/i386/'` ;;
+ i[3-7]86-*-sysv[45]*) targ_emul=elf_i386 ;;
+ i[3-7]86-*-solaris2*) targ_emul=elf_i386_ldso
+ targ_extra_emuls="elf_i386 elf_x86_64"